<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditCiudadTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
           
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.EditCiudadLabel_ciudadNombre}" for="ciudadNombre" />
                    <h:inputText id="ciudadNombre" value="#{ciudadController.selected.ciudadNombre}" title="#{bundle.EditCiudadTitle_ciudadNombre}" required="true" requiredMessage="#{bundle.EditCiudadRequiredMessage_ciudadNombre}">
                    <p:ajax event="keyup" listener="#{ciudadController.selected.setCiudadNombreNuevo(ciudadController.selected.ciudadNombre)}"/>
                    </h:inputText>
                    <h:outputLabel value="#{bundle.EditCiudadLabel_ciudadCodPost}" for="ciudadCodPost" />
                    <h:inputText id="ciudadCodPost" value="#{ciudadController.selected.ciudadCodPost}" title="#{bundle.EditCiudadTitle_ciudadCodPost}" >
                    <p:ajax event="keyup" listener="#{ciudadController.selected.setCiudadCodPostNuevo(ciudadController.selected.ciudadCodPost)}"/>
                    </h:inputText>
                    <h:outputLabel value="#{bundle.EditCiudadLabel_ciudadDepartamentoId}" for="ciudadDepartamentoId" />
                    <h:selectOneMenu id="ciudadDepartamentoId" value="#{ciudadController.selected.ciudadDepartamentoId}" title="#{bundle.CreateCiudadTitle_ciudadDepartamentoId}" required="true" requiredMessage="#{bundle.CreateCiudadRequiredMessage_ciudadDepartamentoId}">
                        <f:selectItems value="#{departamentosController.departamentos}" var="departamentos" itemLabel="#{departamentos.departamentoNombre}" />
                        <p:ajax listener="#{ciudadController.selected.setCiudadDepartamentoIdNuevo(ciudadController.selected.ciudadDepartamentoId)}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <h:commandButton action="#{ciudadController.update}" value="#{bundle.EditCiudadSaveLink}" immediate="true" >
                    <p:ajax update=":tabViewAdmin:departamentosPanel:formCiudades:tablaCiudades" 
                            process="@this" oncomplete="PF('dlgCiudad').hide();"/>
                </h:commandButton>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
